KJL - Bug #2903

Delivery Order Error Convert Decimal to a String
07/19/2024 10:14 AM - jihad ....

Status: Closed Start date: 07/19/2024
Priority: High Due date: 07/23/2024
Assignee: jihad .... % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour

Description
Dear Mas Shofwan,

Di Delivery Order terjadi error ketika mengisi quantity dua dan quantity convesion, errornya seperti ini:

1000005 - Error Error Failed to convert parameter value from a String to a Decimal. Query: UPDATE PTRMATERIALITEM SET DocNo = @DocMNo,DocltemID = X
@DocltemID,DocltemRef = @DocltemRef MateriallD = @MateriallD,ltemNumber = @IltemNumber,ltemType = @ltemType, ltemFlow = @ltemFlow,Quantity =

@Quantity, UnitMeasurement = @UnitMeasurement, CustSoRef = @CustSoRef, CustSoltemRef = @CustSoltemRef PORef = @PORef POltemRef = @POltemRef DeliveryRef =
@DeliveryRef DeliveryltemRef = @DeliveryltemRef, QualityInspectionResult = @QualitylnspectionResult, QualityAssuranceResult = @QualityAssuranceResult, Storage =
@Storage,Bin = @Bin,EndDate = @EndDate,Valuation = @Valuation,RefDocTr = @RefDocTr,RefDocTy = @RefDocTy,RefDoclD = @RefDoclD,CreateBy =
@CreateBy,CreateDate = @CreateDate, ChangeBy = @ChangeBy,ChangeDate = @ChangeDate, Warehouse = @Warehouse MaterialType = @MaterialType MAP =
@MAP,NetPrice = @NetPrice, NoLot = @NoLot, UnitConversion = @UnitConversion, QuantityDua = @QuantityDua,MaterialDesc = @MaterialDesc, UnitPrice =

@UnitPrice, QtyReal = @QtyReal QtyAdjust = @QtyAdjust, StockStatus = @StockStatus,Notes = @Notes WHERE DocNo = @DocMo AND DocltemlID = @DocltemID

Skenario terjadinya error ketika create ref
jika create biasa tidak error tetapi ketika sudah ter create dan edit baru isi lagi quantity conversion dan quantity dua maka terjadi
error

Secara settingan functional sejauh aku ngecek sudah benar deciman di tabel fisik dan sdatatable fieldnya, mohon dibantu mas

Terima kasih

History

#1 - 07/19/2024 11:22 AM - Kezia Pawitra Yulianti
- Due date set to 07/23/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 07/19/2024 02:30 PM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to jihad ....

Ini di test saat create / create Ref tidak error.

1. CASE ERROR Saat CREATE REF DARI DOKUMEN YG MEMILIKI ITEM
Kalau create ref dan nge ref dati dokumen yang memiliki item. pastikan data item nya memiliki nilai angka untuk mengisi data di item delivery order.

Di dokumen Delivery Order ada 4 kolom yg memiliki data type angka,
-QtyAdijust

-QtyReal

-Quantity

-QuantityDua

Cek kolom dari item dokumen ref nya yg mengisi ke 4 data ini pastikan terisi angka atau ubah manual saat create Ref.

Item dari data Ref nya harus memiliki angka di DB untuk nge set ke 4 data ini, jangan sampai blank. kalau blank dari sananya dan tidak bisa di isi
manual saat create dokumen, edit langsung ke DB data ref nya (Kalau blank atau null isi saja 0).

#3 - 07/19/2024 02:30 PM - shofwan shiddiq
misal nih mas ketika create langsung ataupun create ref ketika diisi berhasil ke save, namun pada saat edit jadi error seperti itu kenapa ya?

#5 - 07/23/2024 10:14 AM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to jihad ....

Dear Jihad, semua kolom yg data type nya 3 harus di daftarkan di DOcfield untuk semua DOCTYPE, kalau memang tidak digunakan di master

datanya, buat saja is Hidden di DOCFIELD nya.

Saya lihat QtyReal dan QtyAdjust belum terdaftar di DOCFIELD GICU table PTRMATERIALITEM, sehingga data nya NULL ( sementara data type 3

harus terisi angka )

#6 - 08/01/2024 08:28 AM - jihad ....
- Status changed from QA Test to Closed

Terima kasih mas

#7 - 08/01/2024 10:11 AM - jihad ....
- Status changed from Closed to Deploy

#8 - 08/01/2024 11:39 AM - Moch Alinafia
- Status changed from Deploy to Closed
